- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

# theora_info Struct Reference

Theora bitstream info. More...

`#include <theora.h>`

## Data Fields
ogg_uint32_t | width
| encoded frame width
ogg_uint32_t | height
| encoded frame height
ogg_uint32_t | frame_width
| display frame width
ogg_uint32_t | frame_height
| display frame height
ogg_uint32_t | offset_x
| horizontal offset of the displayed frame
ogg_uint32_t | offset_y
| vertical offset of the displayed frame
ogg_uint32_t | fps_numerator
| frame rate numerator
ogg_uint32_t | fps_denominator
| frame rate denominator
ogg_uint32_t | aspect_numerator
| pixel aspect ratio numerator
ogg_uint32_t | aspect_denominator
| pixel aspect ratio denominator
theora_colorspace | colorspace
| colorspace
int | target_bitrate
| nominal bitrate in bits per second
int | quality
| Nominal quality setting, 0-63.
int | quick_p
| Quick encode/decode.
unsigned char | version_major
unsigned char | version_minor
unsigned char | version_subminor
void * | codec_setup
int | dropframes_p
int | keyframe_auto_p
ogg_uint32_t | keyframe_frequency
ogg_uint32_t | keyframe_frequency_force
ogg_uint32_t | keyframe_data_target_bitrate
ogg_int32_t | keyframe_auto_threshold
ogg_uint32_t | keyframe_mindistance
ogg_int32_t | noise_sensitivity
ogg_int32_t | sharpness
theora_pixelformat | pixelformat
| chroma subsampling mode to expect

## Detailed Description

Theora bitstream info.

Contains the basic playback parameters for a stream, corresponding to the initial 'info' header packet.

Encoded theora frames must be a multiple of 16 in width and height. To handle other frame sizes, a crop rectangle is specified in frame_height and frame_width, offset_x and * offset_y. The offset and size should still be a multiple of 2 to avoid chroma sampling shifts. Offset values in this structure are measured from the upper left of the image.

Frame rate, in frames per second, is stored as a rational fraction. Aspect ratio is also stored as a rational fraction, and refers to the aspect ratio of the frame pixels, not of the overall frame itself.

See examples/encoder_example.c for usage examples of the other paramters and good default settings for the encoder parameters.

The documentation for this struct was generated from the following file:

- theora.h